#jinja2:trim_blocks:False

{% if reverseproxy_extra_location_uri is not none %}
        ## proxy {{ reverseproxy_extra_location_uri }}
        location {{ reverseproxy_extra_location_uri }} {

          proxy_pass          http://{{ hostvars[reverseproxy_kubernetes_ingress_server].ip | default(reverseproxy_kubernetes_ingress_server) }}:{{ kubernetes_haproxy_ingress_port }};

{% if reverseproxy_proxy_buffering_enabled %}
          proxy_buffer_size          128k;
          proxy_buffers              4 256k;
          proxy_busy_buffers_size    256k;
          proxy_temp_file_write_size 256k;
{% endif %}
{% if not reverseproxy_proxy_buffering_enabled %}
          proxy_buffering off;
{% endif %}
        }
{% endif %}